def can_form_correct_dice(numbers):
    # Сортируем числа для упрощения проверки
    numbers.sort()
    
    # Проверяем суммы для пар: (a1, a6), (a2, a5), (a3, a4)
    return (numbers[0] + numbers[5] == numbers[1] + numbers[4] == numbers[2] + numbers[3])

def main():
    n = int(input().strip())
    results = []
    
    for _ in range(n):
        numbers = list(map(int, input().strip().split()))
        if can_form_correct_dice(numbers):
            results.append("yes")
        else:
            results.append("no")
    
    # Вывод результатов
    print("\n".join(results))

if __name__ == "__main__":
    main()
